:root {
    --color-blue: #5bc0de;
    --color-white: #fff;
    --color-black: #000;
    --color-grey: #F2F2F2;
    --second-grey: #e7e7e7;
    --color-danger: #d3273e;
    --color-warning: #faa05a;
    --color-info: #2503FF;
}

/*
 * Paleta de colores Accesibles (Daltonismo)
 * https://color.adobe.com/es/create/color-accessibility
 */

/* GENERICS */
.warning {
    color: var(--color-warning);
}

.red {
    color: var(--color-danger);
    font-weight: bold;
}
.blue {
    color: var(--color-info);
}
.bg-white {
    border-left:1px solid var(--color-white);
    background-color: var(--color-white);
}
#error-block {
    color: var(--color-danger);
}

.grey-border {
    border: 1px solid var(--second-grey);
}

h4.section-separation, hr {
    margin-top: 50px !important;
    border-top: 1px dotted var(--second-grey);
    padding-top: 15px;
}

input,select, textarea, form button {
    padding: 0 10px;
    background: var(--color-white);
    color: #666;
    border: 1px solid #e5e5e5;
    transition: .2s ease-in-out;
    transition-property: color,background-color,border;
    border-radius: 5px;
    height: 40px;
    vertical-align: middle;
    display: inline-block;
}

input[type="checkbox"] {
    height: auto;
}


.nav-tabs > li {
    cursor: pointer;
}
.nav-tabs > li:hover a {
    background-color: var(--color-blue);
    color: var(--color-black);
}

.gap-20 {
    gap: 20px;
}



.p-30 {
    padding: 30px;
}

.bgHeader {
    background: #ffd;
}

.bg-header-light {
    background: #f9f9f9;
}

.base-content {
    background: var(--color-grey);
    min-height: calc(100vh - 92px);
    & p {
        margin: 0 0 10px 0;
    }
}

.box-content {
    background: var(--color-white);
    border-radius: 5px;
    border: 1px solid var(--second-grey);
    padding: 20px;
    display: inline-block;
    max-width: 100%;
}

.box-content--full {
    min-width: 100%;
}

.warning-box-content {
    border-radius: 5px;
    & .icon-warning {
        top: -2px;
        margin-right: 4px;
        position: relative;
    }
    &  ul{
        margin-top: 10px;
        padding-bottom: 10px;
    }
}




 /* TABLES AND FORMS */
.custom-table {
    font-size: 13px;
    line-height: 1.2;
    & td {
        padding: .6em .8em;
    }
}
.custom-table--text-small {
    font-size: .76em;
    line-height: 1.2;

    & td {
      padding: .8em;
    }
}

.sticky-table-header {
    position: sticky;
    top:50px;
    width:100%;
    background:var(--color-white);
    padding:15px;
    z-index:10;
    font-weight: 700;
}

.sticky-table-header-thead {
    display: table-header-group;
    & th {
        font-weight: 600;
    }
}

.search-form-box {
    & .uk-button{
        margin-left: 20px;
    }
    & .uk-form-label {
        color: #333;
        font-size: 1.1rem;
    }
}

.buttons-header-filters .uk-icon {
    margin-right: 5px;
}

.flex-form > .raw-item  {
    flex: 1;
}

input[type=file] {
    padding: 0;
}

form button  {
    background: var(--greylight);
}

.one-column-form {
    & .uk-width-1-2\@s {
        width: 100%;
        & .uk-form-label {
            font-size: 1rem;
            margin-bottom: 10px;
        }
    }
}

.small-label .uk-width-1-2\@s .uk-form-label {
    font-size: 0.9rem;
}

.radio-form {
    margin-bottom: 10px;
    & input[type=radio] {
        position: relative;
        top: -3px;
        margin-right: 2px;
    }
    & label.uk-form-label {
        margin-right: 25px;
        font-size: 1rem;
    }
    & label.uk-form-label:first-child {
        font-size: .875rem;
    }
}

/* UPDATE FILE FORM CUSTOM */
.uk-form-custom {
    width: 100%;
    & label {
        display: block;
    }
    & span.form-text.text-muted {
        border: 1px solid #e5e5e5;
        background-color: #f8f8f8;
        color: #999;
        width: 100%;
        display: inline-block;
        padding: 10px;
        border-radius: 4px;
    }
}

/* Provider management */
.fiscal-data-input-blocks{
    display: flex;
    flex-wrap: wrap;
}

.fiscal-data-input-block-label {
    flex-basis: 100%;
}

.fiscal-data {
    display: grid;
    grid-template-columns: auto auto;
    column-gap: 2rem;
    width: 66.67%;
    margin-top: 3rem;
}

.fiscal-data-status {
    grid-template-columns: auto auto auto;
}

.fiscal-data-payment {
    grid-template-columns: repeat(6,auto);
}

.fiscal-data-payment > .fiscal-data-input-blocks:nth-last-child(-n+2) {
    grid-column: span 3;
}

.fiscal-data-payment > .fiscal-data-input-blocks:nth-child(-n + 3) {
    grid-column: span 2;
}

/* OC */
.search-form-one-column #oc_observation_form {
    display: grid !important;
    & .uk-button{
        margin-top: 20px;
    }
}

/* OC PROX ORDER */
.uk-table.oc-prox-order-form {
    & th{
        vertical-align: middle;
        color: var(--color-white);
    }
    & .uk-text-large {
        font-size: 1.2rem;
    }
    & .text-total {
        font-size: 1rem;
    }
}

.form-check-field{
    & .uk-width-1-2\@s {
        width: 100%;
        & .uk-form-label {
            color: var(--color-white);
            width: auto;
            margin-right: 10px;
        }
        & input[type=checkbox]  {
            margin: 0;
        }
    }
}


/* OC MIN BUY */
form.uk-grid .uk-grid-margin {
    margin-top: 20px;
}

#oc_min_buy_form {
    @media (min-width: 640px) {
        & .uk-width-1-2\@s:first-child {
            width: 100%;
        }
    }
}

.oc-header-table span {
    margin-right: 10px;
}


/* Product Provider  */
@media (min-width: 640px) {
    #edit_conversion_factor_form .uk-grid-margin:last-child {
        width: 100%;
        margin-top: 30px;
    }

    #primary_provider_report_form .uk-width-1-3\@s {
        width: 100%;
    }
}


/* Replenishment */
.content-modal-form {
    display: grid;
    width: 100%;
}

@media (min-width: 640px) {
    .content-modal-form .uk-width-1-2\@s {
        width: 100%;
        margin-bottom: 20px;
    }
}


/* Product */
.prod_rupture {
    background: var(--color-danger);
    padding: 5px 10px;
    display: block;
    margin-bottom: 10px;
    font-weight: bold;
    clear: both;
    text-transform: uppercase;
    text-align: center;
    font-family: sans-serif;
    color: var(--color-white);
}


@media (min-width: 640px) {
    .search-form-box .uk-width-1-2\@s {
        width: 100%;
    }
}


.button-grid-remove-margin .uk-align-right {
    margin-left: 0;
}

.img-list {
    height: 50px;
    min-height: 50px;
    width: 25px;
    object-fit: cover;
    object-position: center;
    margin-right: 20px;
}
.scale-on-hover-z:hover {
    transform: scale3d(4, 4, 1);
    transition: transform .2s ease;
    z-index: 1000;
    width: 5rem;
    height: auto;
    position: relative;
}
.select-option:hover, .select-option.hover {
    background-color: #00a9e0;
    color: white;
}

.sidebar-wrapper {
    order: unset;
}
@media (max-width: 640px) {
    .sidebar-wrapper.mobile-at-bottom {
        order: 10;
    }
}

/* custom choices */
.choices__inner {
    font-size: 13px;
}

/* File input */
.file-input-hidden {
    display: none!important;
}

#file-list {
    list-style-type: none;
    padding: 0;
}

#file-list li {
    display: flex;
    align-items: center;
    margin-bottom: 5px;
    white-space: nowrap; /* Evita el salto de línea */
}

#file-list li img {
    border-radius: 4px;
    object-fit: cover;
}

#file-list li span {
    flex-grow: 1;
    overflow: hidden;
    text-overflow: ellipsis; /* Muestra puntos suspensivos si el texto es demasiado largo */
    white-space: nowrap;
    max-width: 250px;
}

#file-list li button {
    background: none; /* Elimina el fondo */
    border: none;     /* Elimina el borde */
    padding: 0;
    cursor: pointer;
    margin-left: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-shrink: 0; /* Evita que el botón se reduzca */
}

#file-list li button svg {
    color: #e74c3c; /* Color rojo para el icono */
    width: 16px;
    height: 16px;
}

#file-list li button:hover svg {
    color: #c0392b; /* Color rojo más oscuro al hacer hover */
}